cflags += -nostdinc \
					-nostdlib \
					-ffreestanding \
					-fno-builtin \
					-std=c11 \
					-pedantic \
					-pedantic-errors \
					-Wall \
					-Wextra \
					-mcmodel=kernel

cflags += -isystem . -isystem ../include

cflags += -DPRINTF_INCLUDE_CONFIG_H=1 \
					-D_ALLOC_SKIP_DEFINE \
					-D"FAT_PRINTF(a)" \
					-DXXH_NAMESPACE=LZ4_

ifeq ($(buildtype),debug)
	cflags += -O0 -g3
endif

ifeq ($(buildtype),release)
	cflags += -ffunction-sections -fdata-sections -Oz
endif

ldflags += --nostdlib \
					 --static

ifeq ($(buildtype),release)
	ldflags += --gc-sections \
						 --strip-all \
						 -O3
endif
